Page MenuHomePhabricator

ecore/thread: increase loop iterations when waiting during shutdown
ClosedPublic

Authored by zmike on Jun 26 2018, 3:31 PM.

Details

Summary

since this is now a smaller wait interval, looping more times helps
ensure success for threads which have longer blocking operations
between lifetime checks
Depends on D6435

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jun 26 2018, 3:31 PM
zmike requested review of this revision.Jun 26 2018, 3:31 PM
ManMower accepted this revision.Jun 27 2018, 8:31 AM
This revision is now accepted and ready to land.Jun 27 2018, 8:31 AM
Closed by commit rEFL2ee83cc28dbf: ecore/thread: increase loop iterations when waiting during shutdown (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJun 28 2018, 9:10 AM
This revision was automatically updated to reflect the committed changes.